org.eclipse.viatra.query.runtime.matchers.util

## Enum IMultiLookup.ChangeGranularity

- java.lang.Object
- - java.lang.Enum<IMultiLookup.ChangeGranularity>
  - - org.eclipse.viatra.query.runtime.matchers.util.IMultiLookup.ChangeGranularity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IMultiLookup.ChangeGranularity>
  Enclosing interface:
    IMultiLookup<Key,Value>

      public static enum IMultiLookup.ChangeGranularity
      extends java.lang.Enum<IMultiLookup.ChangeGranularity>

  How significant was the change? *

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUPLICATE` Duplicate key-value pair inserted or deleted.
    `KEY` First key-value pair with given key inserted, or last pair with given key deleted.
    `VALUE` First occurrence of given key-value pair inserted, or last occurrence of the pair deleted, while key still has values associated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IMultiLookup.ChangeGranularity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IMultiLookup.ChangeGranularity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY

          public static final IMultiLookup.ChangeGranularity KEY

      First key-value pair with given key inserted, or last pair with given key deleted. (In case of delta maps, also if last negative key-value pair with given key neutralized.)

    - #### VALUE

          public static final IMultiLookup.ChangeGranularity VALUE

      First occurrence of given key-value pair inserted, or last occurrence of the pair deleted, while key still has values associated. (In case of delta maps, also if last negative occurrence of key-value pair neutralized.)

    - #### DUPLICATE

          public static final IMultiLookup.ChangeGranularity DUPLICATE

      Duplicate key-value pair inserted or deleted.

  - ### Method Detail

    - #### values

          public static IMultiLookup.ChangeGranularity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IMultiLookup.ChangeGranularity c : IMultiLookup.ChangeGranularity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IMultiLookup.ChangeGranularity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null